package com.capgemini.reports.definition.r21report.visitors.bomlineholder;

import com.capgemini.reports.bomlineholder.processor.AltOrDetBehaviour;
import com.capgemini.reports.definition.r21report.visitors.R21VisitorKeys;

import java.util.Map;

/**
 * This class defines the behaviour of the R21 reprot regarding Alts or Dets: it does nothing at all.
 */
public class R21AltOrDetBehaviour implements AltOrDetBehaviour<R21VisitorKeys, String> {

    private static final long serialVersionUID = 5831924152460249403L;

    @Override
    public boolean shouldVisitPartsInPseudoFolder() {
        // No use in the R21 report
        return false;
    }

    @Override
    public boolean shouldVisitPartsBelowAlt() {
        // No use in the R21 report
        return false;
    }

    @Override
    public void treatPartsInPseudoFolder(final Map<R21VisitorKeys, String> map) {
        // No use in the R21 report
    }

    @Override
    public void treatAlternateOrDETAsReceptor(final Map<R21VisitorKeys, String> receptorMap) {
        // No use in the R21 report
    }
}
